Автор Тема: XFCE 4 && slack9.1 ne vurvi ?  (Прочетена 2159 пъти)

PAIN1

  • Напреднали
  • *****
  • Публикации: 432
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« -: Dec 06, 2003, 09:07 »
imam slackware 9.1
xfce-4.0.1-i486-2jim.tgz
свалих го от linuxpackages от дяла на слацк9.1
този който ми е на сд-то е по стара версия (не знам що ) както и да е
не вървят и двете с една и суща грешка ми излизат

Цитат

A Crash accured in the panel .........

kato se opitam da go pusna samo panela
Цитат

/usr/bin/xfce4-panel: error while loading shared libraries: libstartup-notification-1.so.0: cannot open shared object file: No such file or directory

идеи какво да го правя ?
Активен

mironcho

  • Напреднали
  • *****
  • Публикации: 495
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #1 -: Dec 06, 2003, 09:20 »
От тези съобщения става ясно че ти липсва библиотеката libstartup-notification-1.so.0 - намери я и я инсталирай.
Иначе, в работата ползвам xfce4 от slackware9.1 (без ъпдейти към по нова версия) и никога не ми е крашвало до сега....
Активен

PAIN1

  • Напреднали
  • *****
  • Публикации: 432
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #2 -: Dec 06, 2003, 10:35 »
едва ли сега трябва да отварям един по един всички пакети и да я търся ??
за xfce-to от слак 8.1 върви без проблем
открих още мещо
Цитат

4. What is the "use startup notification" option ?
If you select this option, the window-manager will show an hourglass while the program is loading. The startup-notification libraries have to be installed. They are probably available with your distibution. This feature is only supported by quite new applications (Gtk2.x and Qt3.x based).
Please note that the API is not yet frozen, and therefore XFce 4 is only garantied to work with the startup-notification library version 0.5.

имам
qt-3.2.1
gtk+2-2.2.4-i486-1
gtk+-1.2.10-i386-3
от ситрото на слак-а са ми
Активен

zazzko

  • Напреднали
  • *****
  • Публикации: 626
    • Профил
    • WWW
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #3 -: Dec 06, 2003, 12:57 »
Това май е от GNOME....потърси я по-следния начин:
Слагаш CD1 и CD2(последователно) на Слака и отиваш отваряш файла MANIFEST.tar.bz2 и пускаш търсене на необходимия файл. След това виждаш в кой пакет се намира и го инсталираш (лошото е, че е много вероятно да се наложи да инсталираш и други пакети). Друг начин е да използваш swaret за откриване на липсващи библиотеки (с опцията -dep). След откриването на такива той ще ги инсталира автоматично.

alabal

  • Напреднали
  • *****
  • Публикации: 2173
  • cat /earth/europe/bg/sofia | grep Nacamura
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #4 -: Dec 06, 2003, 13:15 »
Това са библиотеки използвани от Gnome при стартиране е и се казва startup-notification. Последната версия е 0.5.
Ето и от къде можеш да си свалиш  пакета, но според мен, трябва да го има и в дистрибуцията ти.
Активен

It makes you awful glad that you were born a man.

PAIN1

  • Напреднали
  • *****
  • Публикации: 432
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #5 -: Dec 06, 2003, 14:28 »
мерси,има я ама като не се занимавам с гноме ,не знаех '<img'>
Активен

PAIN1

  • Напреднали
  • *****
  • Публикации: 432
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #6 -: Dec 06, 2003, 17:08 »
sega ostana da namerq kak da go i kiriliziram xfce4-to ? nqkoi da znai ?
kirilskite fontove ot xmms primerno gi nqma
prevklu4vaneto mejdy bg i engl koeto polzvam i raboti na kde i blackbox  
tuka ne fa6ta (polzvam kop4e-to menu)
polzvam bglinux 4.3
znam 4e e malko stara imah edin nespolu4liv opit s bglinux5 ,a ot 4.3 sum dovolen
po spomen mislq 4e bglinux mi e rabotilo predi sus xfce-to ot slack8.1
Активен

alabal

  • Напреднали
  • *****
  • Публикации: 2173
  • cat /earth/europe/bg/sofia | grep Nacamura
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #7 -: Dec 07, 2003, 01:26 »
Братко, ще ти отговоря ама ще говоря много наизуст, та по-добре изчакай някой по-кадърен да доразясни.
Първо, xfce използва много от програмите, библиотеките и пр. на Gnome.
Второ, не би трябвало ако инсталираш xfce над KDE програмите на KDE да не работят, само че трябва да си ги стратираш с команден ред или от конзолата. Има аплет, който ти изважда команден ред на taskbar-а и там си пишеш името на прграмката.
Във форума има много постинги на темата как се кирилизира Gnome, използвай ги и няма да имаш проблем и с xfce. Една глупава идея е да пренстроиш bglinux след като влезеш в xfce. Например да изпълниш отново  командата /usr/local/bin/set-bulgarian-env
Сигурно, обаче има и по-елегантно решение.
Активен

It makes you awful glad that you were born a man.

PAIN1

  • Напреднали
  • *****
  • Публикации: 432
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #8 -: Dec 07, 2003, 09:25 »
s izpulnenie na ser-bulgarian-env
v xfce ne stana
s Gnome ne sum ba4kal ,
no 6te pogledna
Активен

mironcho

  • Напреднали
  • *****
  • Публикации: 495
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #9 -: Dec 07, 2003, 11:12 »
Значи,
ако искаш да кирилизираш Gtk2 приложения (Gnome2, XFce4) с bglinux4.3 ще ти е малко трудно - най добре да използваш версия 5.1 (защото от версия 5.0 на горе в bglinux вече има свободни truetype шрифтове).
Ако имаш някакви други truetype шрифтове, моеш да ги използваш и тях - например тези от windows -а или можеш да изтеглиш тези.

Понеже и мене ме мързи да пиша, ето какво бях писал преди време във Въпроси Отговори:

Цитат

 Кой каквото да казва, според мен е най добре (и най лесно)
 да си инсталираш bglinux. След това си намери повечко TTF
 шрифтове - например използвай тези от windows -а и тези на
 Никола. Направи директория /usr/X11R6/lib/X11/fonts/ttf/  и
 сложи в нея всичките шрифтове. След това влез в тази
директория и изпълни командата:

ttmkfdir > fonts.dir

 после редактирай конфиг файла на X -а. Този файл най
 вероятно ще е /etc/X11/XF86Config или /etc/X11/XF86Config-4
. В него, в секцията "Files" добави:

FontPath        "/usr/X11R6/lib/X11/fonts/ttf"

а в секцията "Module" добави:

Load "freetype"

 след това рестарирай X -а. Вече би трябвало да имаш добре
изглеждащи TTF шрифтове. OO автоматично ще ги използва.


Успех
Активен

PAIN1

  • Напреднали
  • *****
  • Публикации: 432
    • Профил
XFCE 4 && slack9.1 ne vurvi ?
« Отговор #10 -: Dec 07, 2003, 14:47 »
преинсталирах бглинукс 4.3 и тръгна
но идеята да добавя виндовски е любопитна ще я раззгледам
Активен

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
slack9-gpm-X-IMPS2 bug?
Настройка на програми
sunhater 3 1488 Последна публикация Apr 01, 2003, 14:14
от sunhater
Mplayer & Slack9.0
Настройка на програми
tzarew 2 1370 Последна публикация May 23, 2003, 06:12
от Marto
Avance AC'97 Audio for VIA vuv Slack9
Настройка на хардуер
DesertEagle 13 2608 Последна публикация Jul 12, 2003, 01:58
от
Net prez Slack9
Настройка на програми
gamehack 2 1527 Последна публикация Jun 15, 2003, 00:44
от gamehack
4asovnik-a na slack9.1 ????
Настройка на програми
PAIN1 3 1359 Последна публикация Oct 07, 2003, 23:09
от saturn_vk